<?php
try {
  $config = include('config.php');
  $bdd = new PDO('mysql:host='.$config['host'].';dbname='.$config['dbName'].';charset=utf8', $config['username'], $config['pw']);
} catch (Exception $e) {
  die('Erreur : '.$e->getMessage());
}
$reponse = $bdd->query('SELECT * FROM projetphp');
?>

<html>
<head>

  <meta charset="utf-8">
  <title></title>
<!-- somme features-->
  <link rel="stylesheet" href="//fonts.googleapis.com/css?family=Roboto:300,300italic,700,700italic">
  <link rel="stylesheet" href="//cdn.rawgit.com/necolas/normalize.css/master/normalize.css">
  <link rel="stylesheet" href="//cdn.rawgit.com/milligram/milligram/master/dist/milligram.min.css">
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/2.1.2/sweetalert.min.js" integrity="sha256-KsRuvuRtUVvobe66OFtOQfjP8WA2SzYsmm4VPfMnxms=" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<!--My features-->
  <link rel="stylesheet" href="style.css?<?php echo date('l jS \of F Y h:i:s A'); ?>">
  <script src="script.js?<?php echo date('l jS \of F Y h:i:s A'); ?>"></script>
</head>
<body>
  <table id="allRecord">
    <thead>
      <tr>
        <th>login</th>
        <th>Date de nésance</th>
        <th>email</th>
        <th>PW</th>
        <th>slvl</th>
        <th><i class="fas fa-cogs"></i></th>
      </tr>
    </thead>
    <tbody>
      <?php
      while($data = $reponse->fetch())
      {
        ?>
        <tr class="record">
          <td class="login">
            <?= htmlspecialchars($data["login"]) ?></td>
          <td class="datene">
            <?= htmlspecialchars($data["date_naissance"]) ?></td>
          <td class="email">
            <?= htmlspecialchars($data["e_mail"]) ?></td>
          <td class="pw">
            <?= htmlspecialchars($data["mot_de_passe"]) ?></td>
          <td class="sl">
            <?= htmlspecialchars($data["security_level"]) ?></td>
          <td><i class="fas fa-edit click editUser"></i><i class="fas fa-trash-alt click delUser"></i></td>
        </tr>
        <?php
      }
      ?>
    </tbody>
  </table>
</body>
</html>
